<template>
        <div class="plan" @click="seleccionar" :class="[seleccionado ? 'plan-activo' : '']">
          <div class="descripcion">
              <span class="titulo">{{ nombre }}</span>
          </div>
        </div>
</template>

<script>
    export default{
            name:'plan',
            props:{
                nombre: {
                    type: String,
                    default: 'Plan 1 - Principiante',
                    required: true
                }
            },
            data(){
                return {
                    seleccionado: false
                }
            },
            methods:{
                seleccionar(){
                    this.$emit('select' , this.nombre)
                    this.seleccionado = !this.seleccionado
                    //console.log(this.nombre)                    
                }     
            }
    }
</script>
